# -*- coding: utf-8 -*-
"""
Created on Thu Nov 11 20:41:48 2021

@author: Bennett
"""
import pandas as pd
import folium

mapdf=pd.read_excel("access_trails.xlsx")

trailmap=folium.Map(location=[mapdf["lat"].mean(),mapdf["long"].mean()],  zoom_start=10)
   
for i,row in mapdf.iterrows():
    popuptext="<a href=" + row["link"] + ">" + row["Location"] +' </a>'
    popuptext+="<br><br>"
    popuptext+="<a href=" + row["google map link"] + ">" + "Google Maps" +' </a>'
    #iframe=folium.IFrame(popuptext,width=200,height=100)
    popup=folium.Popup(popuptext)
    folium.CircleMarker((row.lat,row.long), popup=popup, 
                        radius=5, weight=2, color='blue', 
                        fill_color='blue', fill_opacity=.5).add_to(trailmap)

trailmap.save('trailmap.html')


